<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.dbnt.kcgfilemanager.mapper.CategoryRoleMapper">
  <select id="selectCategoryListToUser" resultType="BoardCategory" parameterType="CategoryRole">
    SELECT B.CATEGORY_SEQ ,
           B.DEPTH ,
           B.PARENT_SEQ ,
           B.CATEGORY_NAME
    FROM CATEGORY_ROLE A
           INNER JOIN BOARD_CATEGORY B ON A.CATEGORY_SEQ = B.CATEGORY_SEQ
    WHERE A.USER_SEQ = #{userSeq}
  </select>
</mapper>